Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDecimatePro::TriArray Class Reference

`#include <vtkDecimatePro.h>`

Collaboration diagram for vtkDecimatePro::TriArray:

[legend]
List of all members.

## Public Methods

| TriArray (const vtkIdType sz)
| ~TriArray ()
vtkIdType | GetNumberOfTriangles ()
void | InsertNextTriangle (LocalTri &t)
LocalTri & | GetTriangle (vtkIdType i)
void | Reset ()

## Public Attributes

LocalTri * | Array
vtkIdType | MaxId

## Constructor & Destructor Documentation

vtkDecimatePro::TriArray::TriArray | ( | const vtkIdType | sz | ) | `[inline]`

| Definition at line 356 of file vtkDecimatePro.h. References vtkIdType.

vtkDecimatePro::TriArray::~TriArray | ( |  | ) | `[inline]`

| Definition at line 358 of file vtkDecimatePro.h.

## Member Function Documentation

vtkIdType vtkDecimatePro::TriArray::GetNumberOfTriangles | ( |  | ) | `[inline]`

| Definition at line 365 of file vtkDecimatePro.h. References vtkIdType.

void vtkDecimatePro::TriArray::InsertNextTriangle | ( | LocalTri & | t | ) | `[inline]`

| Definition at line 366 of file vtkDecimatePro.h.

LocalTri& vtkDecimatePro::TriArray::GetTriangle | ( | vtkIdType | i | ) | `[inline]`

| Definition at line 368 of file vtkDecimatePro.h. References vtkIdType.

void vtkDecimatePro::TriArray::Reset | ( |  | ) | `[inline]`

| Definition at line 369 of file vtkDecimatePro.h.

## Member Data Documentation

LocalTri* vtkDecimatePro::TriArray::Array

| Definition at line 371 of file vtkDecimatePro.h.

vtkIdType vtkDecimatePro::TriArray::MaxId

| Definition at line 372 of file vtkDecimatePro.h.

The documentation for this class was generated from the following file:

- Graphics/vtkDecimatePro.h